# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
import netsvc
import pooler
from osv import fields, osv

class product_pricelist_item(osv.osv):
    _inherit='product.pricelist.item'
    _columns={
        'date' : fields.date('Fecha',required=True)
    }
product_pricelist_item()

class product_pricelist(osv.osv):
    _inherit='product.pricelist'
    
    def get_price_4date(self,cr,uid,ids,context={}):
        obj_item=self.pool.get('product.pricelist.item')
        for lin in self.browse(cr,uid,ids):
            for lins in lin.version_id:
                cr.execute(""" SELECT product_id,count(product_id) AS seq 
                    FROM product_pricelist_item
                    WHERE  price_version_id=%s
                    GROUP BY product_id """,(lins.id,))
                dat=cr.dictfetchall()
                for prod_id in dat:
                    seq=prod_id['seq']
                    ids_item=obj_item.search(cr,uid,[('price_version_id','=',lins.id),('product_id','=',prod_id['product_id'])],order='date')
                    for id_item in ids_item:
                        obj_item.write(cr,uid,id_item,{'sequence':seq})
                        seq=seq-1
        return True
product_pricelist()
















